<?php
/**
 * @package Responsive Content Slider
 * @copyright 2022 ComponentGenerator.com
 * @author 2022 ComponentGenerator(mail@componentgenerator.com)
 * @license GNU General Public License version 2 or later
 * @description Slide HTML content or images with the Responsive Content Slider
 */

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\Module\ResponsiveContentSlider\Site\Helper\ResponsiveContentSliderHelper;
use Joomla\CMS\Factory;

$document = Factory::getApplication()->getDocument();

$document->addStyleSheet("modules/mod_responsive_content_slider/css/default.css");
$document->addStyleSheet("modules/mod_responsive_content_slider/js/bxslider/jquery.bxslider.css");

$document->addScript("modules/mod_responsive_content_slider/js/bxslider/jquery.bxslider.min.js");
$document->addScript("modules/mod_responsive_content_slider/js/default.js");

$imagesToLoad = 20;
$images  = ResponsiveContentSliderHelper::getImages($params, $imagesToLoad);

if (!count($images)) {
    echo \Joomla\CMS\Language\Text::_('MOD_RESPONSIVE_CONTENT_SLIDER_NO_SLIDES');
    return;
}

require ModuleHelper::getLayoutPath('mod_responsive_content_slider');
